Package org.springframework.jmx

# Class JmxException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.jmx.JmxException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InvalidMetadataException`, `InvocationFailureException`, `MBeanConnectFailureException`, `MBeanExportException`, `MBeanInfoRetrievalException`, `MBeanServerNotFoundException`, `UnableToSendNotificationException`

public class JmxException extends org.springframework.core.NestedRuntimeException
General base exception to be thrown on JMX errors. Unchecked since JMX failures are usually fatal.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JmxException(String msg)`
Constructor for JmxException.
`JmxException(String msg, Throwable cause)`
Constructor for JmxException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JmxException

public JmxException(String msg)
Constructor for JmxException.

Parameters:
  `msg` - the detail message

### JmxException

public JmxException(String msg, Throwable cause)
Constructor for JmxException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (usually a raw JMX API exception)